{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key IDENTITY  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/IDENTITY/Localisations/Sets/{name}/Translations": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of translations for the Localisation Set",
        "description": "",
        "operationId": "GetLocalisationSetTranslations",
        "parameters": [
          {
            "name": "name",
            "in": "path",
            "required": true,
            "description": "Name of Localisation Set",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 1
          },
          {
            "name": "langId",
            "in": "query",
            "description": "Language Id (default=0)",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "lang",
            "in": "query",
            "description": "Language Code (default=en)",
            "schema": {
              "type": "string",
              "nullable": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Translation Set definition",
            "content": {
              "application/vnd.onkey.translationset+json": {
                "schema": {
                  "$ref": "#/components/schemas/TranslationSetSchema"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks/Summary": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a summary of my Background Task resources for the last 24 hours.",
        "description": "",
        "operationId": "GetMyBackgroundTasksSummary",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyBackgroundTasksSummaryResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Options/AMPC": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a My Identity resource.",
        "description": "",
        "operationId": "GetMyDefaultAMPCUserOptions",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyDefaultAMPCUserOptionsResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Options/FIN": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a My Identity resource.",
        "description": "",
        "operationId": "GetMyDefaultFINUserOptions",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyDefaultFINUserOptionsResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Options/MM": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a My Identity resource.",
        "description": "",
        "operationId": "GetMyDefaultMMUserOptions",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyDefaultMMUserOptionsResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Options": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a My Identity resource.",
        "description": "",
        "operationId": "GetMyDefaultUserOptions",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyDefaultUserOptionsResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Options/WM": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a My Identity resource.",
        "description": "",
        "operationId": "GetMyDefaultWMUserOptions",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyDefaultWMUserOptionsResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/{id}/Resources/{resourceName}/{resourceActionName}/{resourceActionCustomisationId}": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get my customised User Operational Role Resource resource for the Operational Role Resource resource",
        "description": "",
        "operationId": "GetMyOperationalRoleResourceCustomisationForOperationalRole",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "resourceName",
            "in": "path",
            "required": true,
            "description": "Name of Resource",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 2
          },
          {
            "name": "resourceActionName",
            "in": "path",
            "required": true,
            "description": "Name of Resource Action",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 3
          },
          {
            "name": "resourceActionCustomisationId",
            "in": "path",
            "required": true,
            "description": "API Resource Action Customisation Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 4
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyOperationalRoleResourceCustomisationForOperationalRoleResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/{id}/Resources/{resourceName}/{resourceActionName}": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get my system defined User Operational Role Resource resource for the Operational Role Resource resource",
        "description": "",
        "operationId": "GetMyOperationalRoleResourceForOperationalRole",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "resourceName",
            "in": "path",
            "required": true,
            "description": "Name of Resource",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 2
          },
          {
            "name": "resourceActionName",
            "in": "path",
            "required": true,
            "description": "Name of Resource Action",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 3
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyOperationalRoleResourceForOperationalRoleResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/Resources/{resourceName}/{resourceActionName}/{id}": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get my User Operational Role Resource resource.",
        "description": "",
        "operationId": "GetMyOperationalRoleResource",
        "parameters": [
          {
            "name": "resourceName",
            "in": "path",
            "required": true,
            "description": "Name of Resource",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 1
          },
          {
            "name": "resourceActionName",
            "in": "path",
            "required": true,
            "description": "Name of Resource Action",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 2
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 3
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyOperationalRoleResourceResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "My Identity"
        ],
        "summary": "Delete my User Operational Role Resource resource.",
        "description": "",
        "operationId": "DeleteMyOperationalRoleResource",
        "parameters": [
          {
            "name": "resourceName",
            "in": "path",
            "required": true,
            "description": "Name of Resource",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 1
          },
          {
            "name": "resourceActionName",
            "in": "path",
            "required": true,
            "description": "Name of Resource Action",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 2
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 3
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteMyOperationalRoleResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 4
        },
        "responses": {
          "204": {
            "description": "Success response - My Identity was successfully deleted"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/Templates/{templateName}/{id}": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get my User Operational Role Template resource.",
        "description": "",
        "operationId": "GetMyOperationalRoleTemplate",
        "parameters": [
          {
            "name": "templateName",
            "in": "path",
            "required": true,
            "description": "Name of Template",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 1
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Template Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 2
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyOperationalRoleTemplateResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "My Identity"
        ],
        "summary": "Delete my User Operational Role Template resource.",
        "description": "",
        "operationId": "DeleteMyOperationalRoleTemplate",
        "parameters": [
          {
            "name": "templateName",
            "in": "path",
            "required": true,
            "description": "Name of Template",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 1
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Template Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 2
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteMyOperationalRoleTemplateResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 3
        },
        "responses": {
          "204": {
            "description": "Success response - My Identity was successfully deleted"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/TermsAndConditions/{id}": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get my User Terms And Conditions Version resource.",
        "description": "",
        "operationId": "GetMyTermsAndCondition",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Terms And Conditions Version Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyTermsAndConditionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a summary of my User information.",
        "description": "",
        "operationId": "GetMyUserSummary",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyUserSummaryResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "My Identity"
        ],
        "summary": "Set my user settings.",
        "description": "",
        "operationId": "UpdateMyUserSummary",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateMyUserSummaryResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks/{id}/Errors": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my Background Task Error resources for the Background Task.",
        "description": "",
        "operationId": "GetMyBackgroundTaskErrorList",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Background Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyBackgroundTaskErrorListResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Approvals/Requisitions": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my My Identity resources.",
        "description": "",
        "operationId": "GetMyApprovalForRequisitionCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyApprovalForRequisitionCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Approvals/Requisitions/Items": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my My Identity resources.",
        "description": "",
        "operationId": "GetMyApprovalForRequisitionItemCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyApprovalForRequisitionItemCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my Background Task resources.",
        "description": "",
        "operationId": "GetMyBackgroundTaskCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyBackgroundTaskCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks/{id}/Steps": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of Background Task Step resources for my Background Task resource.",
        "description": "",
        "operationId": "GetMyBackgroundTaskStepForBackgroundTaskCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Background Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyBackgroundTaskStepForBackgroundTaskCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Languages": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my Languages.",
        "description": "",
        "operationId": "GetMyLanguageCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyLanguageCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my User Operational Role resources.",
        "description": "",
        "operationId": "GetMyOperationalRoleCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyOperationalRoleCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/Resources": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my User Operational Role Resource resources.",
        "description": "",
        "operationId": "GetMyOperationalRoleResourceCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyOperationalRoleResourceCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/Templates": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my User Operational Role Template resources.",
        "description": "",
        "operationId": "GetMyOperationalRoleTemplateCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyOperationalRoleTemplateCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/ScheduledBackgroundTasks": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my Scheduled Background Task resources.",
        "description": "",
        "operationId": "GetMyScheduledBackgroundTaskCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyScheduledBackgroundTaskCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/TermsAndConditions": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my User Terms And Conditions Version resources.",
        "description": "",
        "operationId": "GetMyTermsAndConditionCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyTermsAndConditionCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/TermsAndConditions/Pending": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my User Terms And Conditions Version resources.",
        "description": "",
        "operationId": "GetMyTermsAndConditionPendingCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable My Identity collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetMyTermsAndConditionPendingCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks/{id}": {
      "delete": {
        "tags": [
          "My Identity"
        ],
        "summary": "Delete the work registered for my Background Task resource.",
        "description": "",
        "operationId": "DeleteMyBackgroundTask",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Background Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteMyBackgroundTaskResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - My Identity was successfully deleted"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/ScheduledBackgroundTasks/{id}": {
      "delete": {
        "tags": [
          "My Identity"
        ],
        "summary": "Delete the work registered for my Scheduled Background Task resource.",
        "description": "",
        "operationId": "DeleteMyScheduledBackgroundTask",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Scheduled Background Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteMyScheduledBackgroundTaskResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - My Identity was successfully deleted"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks/Batch": {
      "delete": {
        "tags": [
          "My Identity"
        ],
        "summary": "Delete the work registered for the collection of my Background Task resources.",
        "description": "",
        "operationId": "BatchDeleteMyBackgroundTask",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteMyBackgroundTaskResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - My Identity batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/ScheduledBackgroundTasks/Batch": {
      "delete": {
        "tags": [
          "My Identity"
        ],
        "summary": "Delete the work registered for the collection of my Scheduled Background Task resources.",
        "description": "",
        "operationId": "BatchDeleteMyScheduledBackgroundTask",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteMyScheduledBackgroundTaskResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - My Identity batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/TermsAndConditions/{id}/Accept": {
      "post": {
        "tags": [
          "My Identity"
        ],
        "summary": "Accept my User Terms And Conditions Version.",
        "description": "",
        "operationId": "AcceptMyTermsAndCondition",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Terms And Conditions Version Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/AcceptMyTermsAndConditionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/{roleId}/Resources/{resourceId}": {
      "post": {
        "tags": [
          "My Identity"
        ],
        "summary": "Add resource action to my User Operational Role.",
        "description": "",
        "operationId": "AddResourceActionToUserOperationalRole",
        "parameters": [
          {
            "name": "roleId",
            "in": "path",
            "required": true,
            "description": "User Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "resourceId",
            "in": "path",
            "required": true,
            "description": "API Resource Action Customisation Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 2
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/AddResourceActionToUserOperationalRoleResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/{roleId}/Templates/{templateId}": {
      "post": {
        "tags": [
          "My Identity"
        ],
        "summary": "Add template to my User Operational Role.",
        "description": "",
        "operationId": "AddTemplateToUserOperationalRole",
        "parameters": [
          {
            "name": "roleId",
            "in": "path",
            "required": true,
            "description": "User Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "templateId",
            "in": "path",
            "required": true,
            "description": "Template Customisation Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 2
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/AddTemplateToUserOperationalRoleResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Approvals/Approve/{id}": {
      "patch": {
        "tags": [
          "My Identity"
        ],
        "summary": "Approve My Approval.",
        "description": "",
        "operationId": "ApproveMyApproval",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Approval Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ApproveApprovalResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Approvals/Reject/Batch": {
      "patch": {
        "tags": [
          "My Identity"
        ],
        "summary": "Batch Reject My Approval.",
        "description": "",
        "operationId": "BatchRejectMyApproval",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchRejectApprovalResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks/{id}/Cancel": {
      "post": {
        "tags": [
          "My Identity"
        ],
        "summary": "Cancel the work registered for my Background Task resource.",
        "description": "",
        "operationId": "CancelMyBackgroundTask",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Approvals/Reject/{id}": {
      "patch": {
        "tags": [
          "My Identity"
        ],
        "summary": "Reject My Approval.",
        "description": "",
        "operationId": "RejectMyApproval",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Approval Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/RejectApprovalResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/{id}/Default": {
      "post": {
        "tags": [
          "My Identity"
        ],
        "summary": "Set my default User Operational Role.",
        "description": "",
        "operationId": "SetMyDefaultOperationalRole",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/SetMyDefaultOperationalRoleResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/Resources/{resourceName}/{resourceActionName}/{id}/Default": {
      "post": {
        "tags": [
          "My Identity"
        ],
        "summary": "Set my default User Operational Role Resource.",
        "description": "",
        "operationId": "SetMyDefaultOperationalRoleResource",
        "parameters": [
          {
            "name": "resourceName",
            "in": "path",
            "required": true,
            "description": "Name of Resource",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 1
          },
          {
            "name": "resourceActionName",
            "in": "path",
            "required": true,
            "description": "Name of Resource Action",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 2
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 3
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/SetMyDefaultOperationalRoleResourceResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/Templates/{templateName}/{id}/Default": {
      "post": {
        "tags": [
          "My Identity"
        ],
        "summary": "Set my default User Operational Role Template.",
        "description": "",
        "operationId": "SetMyDefaultOperationalRoleTemplate",
        "parameters": [
          {
            "name": "templateName",
            "in": "path",
            "required": true,
            "description": "Name of Template",
            "schema": {
              "type": "string",
              "nullable": true
            },
            "x-position": 1
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Template Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 2
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - body contains My Identity",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/SetMyDefaultOperationalRoleTemplateResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/Approvals/Approve/Batch": {
      "patch": {
        "tags": [
          "My Identity"
        ],
        "summary": "Batch Approve My Approvals.",
        "description": "",
        "operationId": "BatchApproveMyApproval",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchApproveMyApprovalResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks/Batch/{ids}/Cancel": {
      "post": {
        "tags": [
          "My Identity"
        ],
        "summary": "Cancel the work registered for the collection of my Background Task resources.",
        "description": "",
        "operationId": "BatchCancelMyBackgroundTask",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of My Identity id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "OperationExecutionMode": {
        "type": "string",
        "description": "",
        "x-enumNames": [
          "AllOrNone",
          "PerRecord"
        ],
        "enum": [
          "AllOrNone",
          "PerRecord"
        ]
      },
      "SeverityType": {
        "type": "string",
        "description": "",
        "nullable": false,
        "x-enumNames": [
          "Error",
          "Warning",
          "Information"
        ],
        "enum": [
          "error",
          "warning",
          "information"
        ]
      },
      "NotificationItemSchema": {
        "title": "NotificationItemSchema",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "code": {
            "title": "code",
            "type": "string",
            "description": "Unique code for message",
            "nullable": false
          },
          "message": {
            "title": "message",
            "type": "string",
            "nullable": false
          },
          "objectId": {
            "title": "objectId",
            "type": "string",
            "description": "Optional id of record to which the message applies",
            "nullable": true
          },
          "objectType": {
            "title": "objectType",
            "type": "string",
            "format": "enum",
            "nullable": true,
            "x-formatSpecifier": "EntityType"
          },
          "properties": {
            "title": "properties",
            "type": "array",
            "description": "Collection of properties referenced by the message using property path syntax",
            "nullable": true,
            "example": [
              "Asset->Code"
            ],
            "items": {
              "type": "string"
            }
          },
          "severity": {
            "$ref": "#/components/schemas/SeverityType"
          },
          "userObjectId": {
            "title": "userObjectId",
            "type": "string",
            "description": "Optional provided unique external record identifier to echo back with message",
            "nullable": true
          }
        }
      },
      "NotificationSchema": {
        "title": "NotificationSchema",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Collection of messages",
            "nullable": false,
            "items": {
              "$ref": "#/components/schemas/NotificationItemSchema"
            }
          }
        }
      },
      "TranslationSetSchema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "items"
        ],
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64"
          },
          "name": {
            "type": "string"
          },
          "langId": {
            "type": "integer",
            "format": "int64",
            "nullable": true
          },
          "lang": {
            "type": "string",
            "nullable": true
          },
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TranslationSchema"
            }
          }
        }
      },
      "TranslationSchema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "name",
          "value",
          "source"
        ],
        "properties": {
          "name": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "source": {
            "$ref": "#/components/schemas/TranslationSource"
          }
        }
      },
      "TranslationSource": {
        "type": "string",
        "description": "",
        "x-enumNames": [
          "System",
          "User"
        ],
        "enum": [
          "System",
          "User"
        ]
      },
      "EntityPermissionViolationSchema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "permissionTreeId"
        ],
        "properties": {
          "permissionId": {
            "type": "integer",
            "format": "int64"
          },
          "permissionTreeId": {
            "type": "integer",
            "format": "int64",
            "nullable": true
          },
          "propertyPaths": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "EntityPhraseTranslationSchema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "translation"
        ],
        "properties": {
          "phrase": {
            "type": "string"
          },
          "translation": {
            "type": "string",
            "nullable": true
          },
          "propertyPaths": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "Link": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "href",
          "method"
        ],
        "properties": {
          "doc": {
            "type": "string",
            "description": "Documentation endpoint that describes the link",
            "nullable": true
          },
          "href": {
            "type": "string",
            "description": "Endpoint to invoke link",
            "minLength": 1
          },
          "mapping": {
            "type": "array",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/LinkMapping"
            }
          },
          "method": {
            "type": "string",
            "description": "HTTP method used for link",
            "minLength": 1
          },
          "module": {
            "type": "string",
            "description": "Module used by link",
            "nullable": true
          },
          "rel": {
            "type": "string",
            "nullable": true
          },
          "resource": {
            "type": "string",
            "description": "Resource used by link",
            "nullable": true
          },
          "resourceAction": {
            "type": "string",
            "description": "Resource Action used by link",
            "nullable": true
          },
          "title": {
            "type": "string",
            "description": "Title",
            "nullable": true
          },
          "type": {
            "description": "Type of link",
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/ResourceLinkType"
              }
            ]
          }
        }
      },
      "LinkMapping": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "source"
        ],
        "properties": {
          "source": {
            "type": "string"
          },
          "target": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "ResourceLinkType": {
        "type": "string",
        "description": "",
        "x-enumNames": [
          "Association",
          "PrimaryAction",
          "CustomAction",
          "Collection",
          "Detail",
          "Lookup",
          "Documentation",
          "Navigation",
          "Specification"
        ],
        "enum": [
          "association",
          "primaryAction",
          "customAction",
          "collection",
          "detail",
          "lookup",
          "documentation",
          "navigation",
          "specification"
        ]
      },
      "GetMyBackgroundTasksSummaryResourceActionResponse": {
        "title": "GetMyBackgroundTasksSummaryResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetMyBackgroundTasksSummaryResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "abortedCount": {
                "title": "abortedCount",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "BackgroundTasksSummary->AbortedCount"
              },
              "cancelledCount": {
                "title": "cancelledCount",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "BackgroundTasksSummary->CancelledCount"
              },
              "completedCount": {
                "title": "completedCount",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "BackgroundTasksSummary->CompletedCount"
              },
              "notStartedCount": {
                "title": "notStartedCount",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "BackgroundTasksSummary->NotStartedCount"
              },
              "runningCount": {
                "title": "runningCount",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "BackgroundTasksSummary->RunningCount"
              },
              "totalCount": {
                "title": "totalCount",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "BackgroundTasksSummary->TotalCount"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetMyDefaultAMPCUserOptionsResourceActionResponse": {
        "title": "GetMyDefaultAMPCUserOptionsResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetMyDefaultAMPCUserOptionsResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "taskResponsibleSectionId": {
                "title": "taskResponsibleSectionId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultAMPCUserOptionsValues->TaskResponsibleSectionId"
              },
              "taskResponsibleStaffId": {
                "title": "taskResponsibleStaffId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultAMPCUserOptionsValues->TaskResponsibleStaffId"
              },
              "taskResponsibleTradeId": {
                "title": "taskResponsibleTradeId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultAMPCUserOptionsValues->TaskResponsibleTradeId"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetMyDefaultFINUserOptionsResourceActionResponse": {
        "title": "GetMyDefaultFINUserOptionsResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetMyDefaultFINUserOptionsResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "enableCosting": {
                "title": "enableCosting",
                "type": "boolean",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultFINUserOptionsValues->EnableCosting"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetMyDefaultMMUserOptionsResourceActionResponse": {
        "title": "GetMyDefaultMMUserOptionsResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetMyDefaultMMUserOptionsResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "enableRequisitions": {
                "title": "enableRequisitions",
                "type": "boolean",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultMMUserOptionsValues->EnableRequisitions"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetMyDefaultUserOptionsResourceActionResponse": {
        "title": "GetMyDefaultUserOptionsResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetMyDefaultUserOptionsResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "enableCosting": {
                "title": "enableCosting",
                "type": "boolean",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->EnableCosting"
              },
              "enableRequisitions": {
                "title": "enableRequisitions",
                "type": "boolean",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->EnableRequisitions"
              },
              "applyWorkOrderStatusRules": {
                "title": "applyWorkOrderStatusRules",
                "type": "boolean",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->ApplyWorkOrderStatusRules"
              },
              "defaultWorkOrderTaskResourceCostElementId": {
                "title": "defaultWorkOrderTaskResourceCostElementId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->DefaultWorkOrderTaskResourceCostElementId"
              },
              "taskResponsibleSectionId": {
                "title": "taskResponsibleSectionId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->TaskResponsibleSectionId"
              },
              "taskResponsibleStaffId": {
                "title": "taskResponsibleStaffId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->TaskResponsibleStaffId"
              },
              "taskResponsibleTradeId": {
                "title": "taskResponsibleTradeId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->TaskResponsibleTradeId"
              },
              "workClassification1Id": {
                "title": "workClassification1Id",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkClassification1Id"
              },
              "workClassification2Id": {
                "title": "workClassification2Id",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkClassification2Id"
              },
              "workClassification3Id": {
                "title": "workClassification3Id",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkClassification3Id"
              },
              "workClassification4Id": {
                "title": "workClassification4Id",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkClassification4Id"
              },
              "workClassification5Id": {
                "title": "workClassification5Id",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkClassification5Id"
              },
              "workOrderCanBeQueued": {
                "title": "workOrderCanBeQueued",
                "type": "boolean",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkOrderCanBeQueued"
              },
              "workOrderImportanceId": {
                "title": "workOrderImportanceId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkOrderImportanceId"
              },
              "workOrderLimit": {
                "title": "workOrderLimit",
                "type": "number",
                "format": "decimal",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkOrderLimit"
              },
              "workOrderResponsibleSectionId": {
                "title": "workOrderResponsibleSectionId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkOrderResponsibleSectionId"
              },
              "workOrderResponsibleStaffId": {
                "title": "workOrderResponsibleStaffId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkOrderResponsibleStaffId"
              },
              "workOrderResponsibleTradeId": {
                "title": "workOrderResponsibleTradeId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkOrderResponsibleTradeId"
              },
              "workOrderTypeOfWorkForConditionMonitoringId": {
                "title": "workOrderTypeOfWorkForConditionMonitoringId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkOrderTypeOfWorkForConditionMonitoringId"
              },
              "workOrderTypeOfWorkId": {
                "title": "workOrderTypeOfWorkId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultUserOptionsValues->WorkOrderTypeOfWorkId"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetMyDefaultWMUserOptionsResourceActionResponse": {
        "title": "GetMyDefaultWMUserOptionsResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetMyDefaultWMUserOptionsResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "applyWorkOrderStatusRules": {
                "title": "applyWorkOrderStatusRules",
                "type": "boolean",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->ApplyWorkOrderStatusRules"
              },
              "defaultWorkOrderTaskResourceCostElementId": {
                "title": "defaultWorkOrderTaskResourceCostElementId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->DefaultWorkOrderTaskResourceCostElementId"
              },
              "workClassification1Id": {
                "title": "workClassification1Id",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkClassification1Id"
              },
              "workClassification2Id": {
                "title": "workClassification2Id",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkClassification2Id"
              },
              "workClassification3Id": {
                "title": "workClassification3Id",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkClassification3Id"
              },
              "workClassification4Id": {
                "title": "workClassification4Id",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkClassification4Id"
              },
              "workClassification5Id": {
                "title": "workClassification5Id",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkClassification5Id"
              },
              "workOrderCanBeQueued": {
                "title": "workOrderCanBeQueued",
                "type": "boolean",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkOrderCanBeQueued"
              },
              "workOrderImportanceId": {
                "title": "workOrderImportanceId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkOrderImportanceId"
              },
              "workOrderLimit": {
                "title": "workOrderLimit",
                "type": "number",
                "format": "decimal",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkOrderLimit"
              },
              "workOrderResponsibleSectionId": {
                "title": "workOrderResponsibleSectionId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkOrderResponsibleSectionId"
              },
              "workOrderResponsibleStaffId": {
                "title": "workOrderResponsibleStaffId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkOrderResponsibleStaffId"
              },
              "workOrderResponsibleTradeId": {
                "title": "workOrderResponsibleTradeId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkOrderResponsibleTradeId"
              },
              "workOrderTypeOfWorkForConditionMonitoringId": {
                "title": "workOrderTypeOfWorkForConditionMonitoringId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkOrderTypeOfWorkForConditionMonitoringId"
              },
              "workOrderTypeOfWorkId": {
                "title": "workOrderTypeOfWorkId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "GetMyDefaultWMUserOptionsValues->WorkOrderTypeOfWorkId"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
[...]
